Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode.control.events
Class RoundEndedEvent

    java.lang.Object
      robocode.control.events.BattleEvent
          robocode.control.events.RoundEndedEvent

    public class RoundEndedEvent

extends BattleEvent

A RoundEndedEvent is sent to `onRoundEnded()` when the current round of a battle has ended.

Since:
  1.6.2
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)
See Also:
  `IBattleListener`, `RoundStartedEvent`

Constructor Summary
`RoundEndedEvent(int round, int turns)` Creates a new RoundEndedEvent.

Method Summary
`int` | `getRound()` Returns the round number that was ended.
`int` | `getTurns()` Returns the number of turns that this round reached.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoundEndedEvent

    public RoundEndedEvent(int round,
                           int turns)

  Creates a new RoundEndedEvent.

  Parameters:
    `round` - the round number that was ended.
    `turns` - the number of turns that this round reached.

Method Detail

### getRound

    public int getRound()

  Returns the round number that was ended.

  Returns:
    the round number that was ended.

### getTurns

    public int getTurns()

  Returns the number of turns that this round reached.

  Returns:
    the number of turns that this round reached.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Robocode. All Rights Reserved.